import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    // 顶部查询按钮
    async onInfbutSearow(){
        // let rtnmsg = await this.executeRule("infbut.searow")
        // const that = this.root;
        // let rtnmsg = await that.executeRule("infbut.searow")
        // if(rtnmsg.respCode == SUCCESS)
        // {
        //     this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows
        //     this.$message({
        //         type: 'success',
        //         message: '查询成功！'
        //     });
        // }
        // else
        // {
        //     this.$notify.error({title: '错误',message: '服务请求失败！'});
        // }
        let opndatfrom = this.model.infcon.opndatfrom;
        if(!opndatfrom || opndatfrom == ''){
            this.$notify.error({ title: '错误', message: '信用证开立起始日期必输！' });
            return;
        }
        let opndatto = this.model.infcon.opndatto;
        if(!opndatto || opndatto == ''){
            this.$notify.error({ title: '错误', message: '信用证开立截止日期必输！' });
            return;
        }
        
        
        let rtnmsg = await this.executeRule("infbut.searow")
        if(rtnmsg.respCode == SUCCESS)
        {
            this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
            // this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows;
        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },

    // Display按钮
    async onInfbutDsp(){
        let rtnmsg = await this.executeRule("infbut.dsp")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },

    async onInfbutUserow(){
        let rtnmsg = await this.executeRule("infbut.userow")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    // Clear按钮
    async onInfbutClr(){
        let rtnmsg = await this.executeRule("infbut.clr")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    // 导Excel按钮
    async onInfbutButprt(){
        let rtnmsg = await this.executeRule("infbut.butprt")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    // Exit按钮
    async onInfbutExi(){
        let rtnmsg = await this.executeRule("infbut.exi")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onRecpanButgetref(){
        let rtnmsg = await this.executeRule("recpan.butgetref")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onBenpDet(){
        let rtnmsg = await this.executeRule("benp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onIsspDet(){
        let rtnmsg = await this.executeRule("issp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onAplpDet(){
        let rtnmsg = await this.executeRule("aplp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onAvbpDet(){
        let rtnmsg = await this.executeRule("avbp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onPreperButtxmsel(){
        let rtnmsg = await this.executeRule("preper.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onChariaButtxmsel(){
        let rtnmsg = await this.executeRule("charia.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onLcrdftatButtxmsel(){
        let rtnmsg = await this.executeRule("lcrdftat.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onDrwpDet(){
        let rtnmsg = await this.executeRule("drwp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onAdvpDet(){
        let rtnmsg = await this.executeRule("advp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onApbpDet(){
        let rtnmsg = await this.executeRule("apbp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onA2bpDet(){
        let rtnmsg = await this.executeRule("a2bp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onRmbpDet(){
        let rtnmsg = await this.executeRule("rmbp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onConpDet(){
        let rtnmsg = await this.executeRule("conp.det")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onLcrgodButtxmsel(){
        let rtnmsg = await this.executeRule("lcrgod.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onLcrdocButtxmsel(){
        let rtnmsg = await this.executeRule("lcrdoc.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onAdlcndButtxmsel(){
        let rtnmsg = await this.executeRule("adlcnd.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onInsbnkButtxmsel(){
        let rtnmsg = await this.executeRule("insbnk.buttxmsel")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onInfconButshw(){
        let rtnmsg = await this.executeRule("infcon.butshw")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onInfconButshword(){
        let rtnmsg = await this.executeRule("infcon.butshword")
        if(rtnmsg.respCode == SUCCESS)
        {
            //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    // async handleSearch() {
    //     this.stmData.data = [];
    //     let opndatfrom = this.model.infcon.opndatfrom;
    //     if(!opndatfrom || opndatfrom == ''){
    //         this.$notify.error({ title: '错误', message: '查询开始日期必输！' });
    //         return;
    //     }
    //     let opndatto = this.model.infcon.opndatto;
    //     if(!opndatto || opndatto == ''){
    //         this.$notify.error({ title: '错误', message: '查询结束日期必输！' });
    //         return;
    //     }
        
    //     let rtnmsg = await this.executeRule("infbut.searow")
    //     if(rtnmsg.respCode == SUCCESS)
    //     {
    //         this.stmData.data = rtnmsg.data.infbut_dspstm.rows;

    //     }
    //     else
    //     {
    //     this.$notify.error({title: '错误',message: '服务请求失败！'});
    //     }
    // },
    getDetails(index, row) {
        debugger;
        Api.post("getTrnNameByInr", { inr:row['INR'] }).then((res) => {
            if (res.respCode == SUCCESS) {
            const trnName = res.data.toLowerCase();
            let viewurl = "/#/display/" + trnName + "?trn=" + row['INR']
            window.open(viewurl, 'newwindow', 'height=1200,width=900,top=100,left=100,toolbar=no,resizable=no,menubar=no,location=no, status=no');
            }
        });
    },


}